fsapfsmount

NAME
fsapfsmount - mounts an Apple File System (APFS) volume

SYNOPSIS
fsapfsmount [-f file_system_index] [-o offset] [-p password] [-r password] [-hvV] source

DESCRIPTION
fsapfsmount is a utility to mount an n Apple File System (APFS) volume

fsapfsmount is part of the libfsapfs package. libfsapfs is a library to access the n Apple File System (APFS) format

source is the source file.

The options are as follows:

-f file_system_index
    mounts a specific file system or "all"

-h  shows this help

-o offset
    specify the volume offset in bytes

-p password
    specify the password

-r password
    specify the recovery password

-v  verbose output to stderr

-V  print version

-X extended_options
    extended options to pass to sub system

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fsapfsmount -f 1 -p Password /dev/sda1
    fsapfsmount 20181214

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libfsapfs/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2018-2019, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
fsapfsinfo(1)